/**
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.scheme;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Any</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyID <em>Any ID</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyInt <em>Any Int</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyString <em>Any String</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyDefine <em>Any Define</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyLambda <em>Any Lambda</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyOperation <em>Any Operation</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Any#getAnyConditional <em>Any Conditional</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny()
 * @model
 * @generated
 */
public interface Any extends EObject
{
  /**
   * Returns the value of the '<em><b>Any ID</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any ID</em>' attribute.
   * @see #setAnyID(String)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyID()
   * @model
   * @generated
   */
  String getAnyID();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyID <em>Any ID</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any ID</em>' attribute.
   * @see #getAnyID()
   * @generated
   */
  void setAnyID(String value);

  /**
   * Returns the value of the '<em><b>Any Int</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any Int</em>' attribute.
   * @see #setAnyInt(int)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyInt()
   * @model
   * @generated
   */
  int getAnyInt();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyInt <em>Any Int</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any Int</em>' attribute.
   * @see #getAnyInt()
   * @generated
   */
  void setAnyInt(int value);

  /**
   * Returns the value of the '<em><b>Any String</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any String</em>' attribute.
   * @see #setAnyString(String)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyString()
   * @model
   * @generated
   */
  String getAnyString();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyString <em>Any String</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any String</em>' attribute.
   * @see #getAnyString()
   * @generated
   */
  void setAnyString(String value);

  /**
   * Returns the value of the '<em><b>Any Define</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any Define</em>' containment reference.
   * @see #setAnyDefine(Define)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyDefine()
   * @model containment="true"
   * @generated
   */
  Define getAnyDefine();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyDefine <em>Any Define</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any Define</em>' containment reference.
   * @see #getAnyDefine()
   * @generated
   */
  void setAnyDefine(Define value);

  /**
   * Returns the value of the '<em><b>Any Lambda</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any Lambda</em>' containment reference.
   * @see #setAnyLambda(Lambda)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyLambda()
   * @model containment="true"
   * @generated
   */
  Lambda getAnyLambda();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyLambda <em>Any Lambda</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any Lambda</em>' containment reference.
   * @see #getAnyLambda()
   * @generated
   */
  void setAnyLambda(Lambda value);

  /**
   * Returns the value of the '<em><b>Any Operation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any Operation</em>' containment reference.
   * @see #setAnyOperation(Operation)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyOperation()
   * @model containment="true"
   * @generated
   */
  Operation getAnyOperation();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyOperation <em>Any Operation</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any Operation</em>' containment reference.
   * @see #getAnyOperation()
   * @generated
   */
  void setAnyOperation(Operation value);

  /**
   * Returns the value of the '<em><b>Any Conditional</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Any Conditional</em>' containment reference.
   * @see #setAnyConditional(Conditional)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getAny_AnyConditional()
   * @model containment="true"
   * @generated
   */
  Conditional getAnyConditional();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Any#getAnyConditional <em>Any Conditional</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Any Conditional</em>' containment reference.
   * @see #getAnyConditional()
   * @generated
   */
  void setAnyConditional(Conditional value);

} // Any
